import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { Brush } from "igniteui-react-core/ES5/Brush";
import { PenLineCap } from "igniteui-react-core/ES5/PenLineCap";
import { DoubleCollection } from "igniteui-react-core/ES5/DoubleCollection";
import { PriceDisplayType } from "./PriceDisplayType";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES5/FastItemsSourceEventAction";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { Path } from "igniteui-react-core/ES5/Path";
import { GeometryGroup } from "igniteui-react-core/ES5/GeometryGroup";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    pa: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    pu: Brush;
    static readonly pk: DependencyProperty;
    trendLineThickness: number;
    px: PenLineCap;
    pw: DoubleCollection;
    trendLinePeriod: number;
    pe: number;
    protected hr(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    pb: PriceDisplayType;
    protected bd(): SeriesHitTestMode;
    ll(a: Point): Rect;
    private o9;
    ak(a: Point): Rect[];
    df(a: Point, b: boolean): boolean;
    protected di(a: Point, b: boolean): boolean;
    protected ir(a: any, b: string, c: any, d: any): void;
    private pj;
    an(a: Axis): AxisRange;
    ao(): AxisRange;
    ed(): number;
    c7(a: any): boolean;
    du(a: Rect, b: Rect, c: SeriesView): boolean;
    oq(a: CategoryFrame, b: FinancialSeriesView): void;
    ho(a: boolean, b: SeriesView): void;
    protected get_m3(): boolean;
    os(a: CategoryFrame, b: FinancialSeriesView): void;
    ec(): number;
    private pi;
    private pc;
    private ph;
    fp(a: any, b: Point): any;
    protected jf(): void;
    protected hx(a: any): void;
    pv: Brush;
    i9(a: Brush, b: Brush): void;
    static $$p: string[];
}
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b0: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b3: Pool$1<Path>;
    cl(): Path;
    protected b6: List$1<Path>;
    cb(a: Path): void;
    cd(a: Path): void;
    cc(a: Path): void;
    protected bv(): FinancialBucketCalculator;
    ap(): void;
    private ck;
    private cj;
    private b1;
    b2: ITrendLineManager;
    readonly b4: boolean;
    ce(): void;
    b8(): void;
    b7(): void;
    ch(): GeometryGroup;
    cg(): GeometryGroup;
    cf(): void;
    protected a8(): void;
    protected a9(): void;
    protected z(a: number): any;
    private ci;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    protected a2(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    b9(): void;
    b5: boolean;
    ca(): void;
}
